---
kind: pipeline
type: ssh
name: Stay Safe | Back-End | Pipeline de déploiement

clone:
  disable: true

# DATAS DU SERVEUR DE BUILD
server:
  host:
    from_secret: build_server_host
  user:
    from_secret: build_server_user
  password:
    from_secret: build_server_password
steps:
  - name: Salut
    commands:
      - echo "bonjour salut"
  - name: Clonage du Repo
    commands:
      - git clone https://github.com/Nonimart/tooltip-formatting-example.git
      - git clone https://git.deligraph.be/Antoine/lhoist-stay-safe.git
  #       - git clone https://git.deligraph.be/Antoine/lhoist-stay-safe.git
  - name: Installation du package
    commands:
      - cd lhoist-stay-safe__backend-theme
      - npm install
  - name: Build du package
    commands:
      - cd lhoist-stay-safe__backend-theme
      - npm run production
  - name: Déploiement sur le serveur de prod
    environment:
      PROD_SERVER_PATH:
        from_secret: prod_server_path
      PROD_SERVER_PASSWORD:
        from_secret: prod_server_password
      PROD_SERVER_THEME_PATH:
        from_secret: prod_server_theme_path
    commands:
      - cd lhoist-stay-safe__backend-theme
      - rsync -avhpn -e 'ssh -p 22' ./ $PROD_SERVER_PATH:~/back/wp-content/themes/Deligraph_lhoist --delete
